<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.xindazhou</groupId>
        <artifactId>xdz-framework</artifactId>
        <version>${revision}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>xdz-spring-boot-starter-biz-social</artifactId>
    <packaging>jar</packaging>

    <name>${project.artifactId}</name>
    <description>社交登录拓展，支持如下功能：
        1. 社交用户管理：支持多种社交平台（微信、支付宝、Gitee、钉钉等）
        2. 社交用户绑定：支持将社交账号绑定到系统用户
        3. 社交登录：支持通过社交平台进行登录
    </description>
    <url>https://github.com/YunaiV/ruoyi-vue-pro</url>

    <dependencies>
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-common</artifactId>
        </dependency>

        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-mybatis</artifactId>
        </dependency>

        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-redis</artifactId>
        </dependency>

        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-biz-tenant</artifactId>
        </dependency>

        <!-- 社交登录相关 -->
        <dependency>
            <groupId>me.zhyd.oauth</groupId>
            <artifactId>JustAuth</artifactId> <!-- 社交登陆（例如说，个人微信、企业微信等等） -->
        </dependency>
        <dependency>
            <groupId>com.xkcoding.justauth</groupId>
            <artifactId>justauth-spring-boot-starter</artifactId>
            <exclusions>
                <!-- 移除，避免和项目里的 hutool-all 冲突 -->
                <exclusion>
                    <groupId>cn.hutool</groupId>
                    <artifactId>hutool-core</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.github.binarywang</groupId>
            <artifactId>wx-java-mp-spring-boot-starter</artifactId> <!-- 微信登录（公众号） -->
        </dependency>
        <dependency>
            <groupId>com.github.binarywang</groupId>
            <artifactId>wx-java-miniapp-spring-boot-starter</artifactId>  <!-- 微信登录（小程序） -->
        </dependency>

        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-validation</artifactId>
        </dependency>

        <!-- Swagger 相关（用于 DTO 和 VO 的注解） -->
        <dependency>
            <groupId>org.springdoc</groupId>
            <artifactId>springdoc-openapi-starter-webmvc-ui</artifactId>
            <scope>provided</scope>
        </dependency>

        <!-- Test 测试相关 -->
        <dependency>
            <groupId>com.xindazhou</groupId>
            <artifactId>xdz-spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
    </dependencies>

</project>

